Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.security
Class BinderyIdentityScope

    java.lang.Object
      |
      +--com.novell.java.security.Identity
            |
            +--com.novell.java.security.IdentityScope
                  |
                  +--com.novell.service.security.XplatIdentityScope
                        |
                        +--com.novell.service.security.BinderyIdentityScope

public class BinderyIdentityScope
extends XplatIdentityScope

Represents an authenticatable container in a Bindery system, such as a server. Every BinderyIdentity is associated with a server identity scope which, in turn, is associated with the Bindery administrative domain scope. The server domain scope is a child of the administrative domain scope and a user identity is a child of the server domain scope.

For example, to construct a user named Karah on a bindery server called Jaeger you could do the following: ``

     IdentityScope administrativeDomain  = new BinderyIdentityScope();
     IdentityScope server                = new BinderyIdentityScope("Jaeger",administrativeDomain);
     Identity      user                  = new BinderyIdentity("Karah",server);

See Also:
  `BinderyIdentity`, `Identity`, `IdentityScope`, `NdsIdentity`, `NdsIdentityScope`, Serialized Form

Field Summary
`static java.lang.String` | `ADMINISTRATIVE_DOMAIN_NAME` The administrative domain name.

Fields inherited from class com.novell.service.security.XplatIdentityScope
`ADMINISTRATIVE_DOMAIN_NAME`

Constructor Summary
`BinderyIdentityScope()` Construct the root-most identity scope with the ADMINISTRATIVE_DOMAIN_NAME name.
`BinderyIdentityScope(IdentityScope identity)` Construct an identity scope from a scope.
`BinderyIdentityScope(java.lang.String name)` Construct an identity scope with the specified name and no scope.
`BinderyIdentityScope(java.lang.String name, IdentityScope scope)` Construct an identity scope with the specified name and scope.

Methods inherited from class com.novell.service.security.XplatIdentityScope
`addIdentity, getIdentity, identities, removeIdentity, size`

Methods inherited from class com.novell.java.security.IdentityScope
`getIdentity, getSystemScope, setSystemScope, toString`

Methods inherited from class com.novell.java.security.Identity
`addCertificate, equals, getCertificates, getInfo, getName, getPublicKey, getScope, hashCode, identityEquals, removeCertificate, setInfo, setPublicKey, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ADMINISTRATIVE_DOMAIN_NAME

    public static java.lang.String ADMINISTRATIVE_DOMAIN_NAME

  The administrative domain name.

Constructor Detail

### BinderyIdentityScope

    public BinderyIdentityScope()

  Construct the root-most identity scope with the ADMINISTRATIVE_DOMAIN_NAME name.

### BinderyIdentityScope

    public BinderyIdentityScope(java.lang.String name)

  Construct an identity scope with the specified name and no scope.
  Parameters:
    `name` - The name of the identity.

### BinderyIdentityScope

    public BinderyIdentityScope(java.lang.String name,
                                IdentityScope scope)
                         throws KeyManagementException

  Construct an identity scope with the specified name and scope.
  Parameters:
    `name` - The name of the IdentityScope.
    `scope` - The scope of the IdentityScope.
  Throws:
    KeyManagementException - Thrown when an IdentityScope cannot be constructed due to key management issues.

### BinderyIdentityScope

    public BinderyIdentityScope(IdentityScope identity)
                         throws KeyManagementException

  Construct an identity scope from a scope.
  Parameters:
    `scope` - The scope to copy.
  Throws:
    KeyManagementException - Thrown when an IdentityScope cannot be constructed due to key management issues.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD